<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Výsledek odeslání stránek</title>
</head>
<body>
   <h1>Výsledek odeslání stránek</h1>

<?php

// Extrahujeme hodnoty formulářových polí.
$url = $_POST['url'];
$email = $_POST['email'];

// Ověřujeme platnost adresy URL.
$url = parse_url($url);
$host = $url['host'];

if (($ip = gethostbyname($host)) == $host) {
  echo 'K zadanému hostiteli neexistuje platná adresa IP.';
  exit;
}

echo 'Hostitel ('.$host.') se nachází na adrese IP '.$ip.'<br/>';
 
// Ověřujeme platnost e-mailové adresy.
$email = explode('@', $email);
$emailhost = $email[1];

if (!getmxrr($emailhost, $mxhostsarr)) {
  echo 'E-mailová adresa nemá platný název hostitele.';
  exit;
}

echo 'E-maily prochází skrz: <br/>
<ul>';

foreach ($mxhostsarr as $mx) {
  echo '<li>'.$mx.'</li>';
}

echo '</ul>';

// Poud jsme se dostali až sem, je vše v pořádku.
echo '<p>Všechny zadané údaje jsou v pořádku.</p>';
echo '<p>Děkujeme za odeslání vašich webových stránek.
      Brzy je navštíví naši zaměstnanci.</p>';
// Ve skutečné aplikaci bychom dále uložili webové stránky do databáze.
?>
</body>
</html>
